From 442de38dc3150de8d58e31875b88d2c436c7f8eb Mon Sep 17 00:00:00 2001
From: Jitesh Shah <jiteshs@marvell.com>
Date: Thu, 29 Oct 2009 09:28:14 +0100
Subject: [PATCH] Change Requires on kernel to Conflicts for ARM

Signed-off-by: Jitesh Shah <jiteshs@marvell.com>
---
 fuse.spec |   11 +++++++++--
 1 files changed, 9 insertions(+), 2 deletions(-)

diff --git a/fuse.spec b/fuse.spec
index 06e7fbd..9e0f37a 100644
--- a/fuse.spec
+++ b/fuse.spec
@@ -1,6 +1,6 @@
 Name:           fuse
 Version:        2.8.1
-Release:        1%{?dist}
+Release:        1%{?dist}.fa1
 Summary:        File System in Userspace (FUSE) utilities
 
 Group:          System Environment/Base
@@ -13,7 +13,11 @@ Source2:        fuse-makedev.d-fuse
 Patch0:         fuse-udev_rules.patch
 Patch1:         fuse-openfix.patch
 BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
-Requires:       kernel >= 2.6.14
+%ifarch %{arm}
+Conflicts:      kernel < 2.6.14
+%else
+Requires:	kernel >= 2.6.14
+%endif
 Requires:       which
 BuildRequires:  libselinux-devel
 
@@ -134,6 +138,9 @@ fi
 %{_includedir}/fuse
 
 %changelog
+* Thu Oct 29 2009 Jitesh shah <jiteshs@marvell.com> 2.8.1-1.fa1
+- Change "Requires" on kernel to "Conflicts" on ARM
+
 * Thu Sep 17 2009 Peter Lemenkov <lemenkov@gmail.com> 2.8.1-1
 - Ver. 2.8.1
 
-- 
1.5.5.6

